﻿@echo on
cls
echo Recalage RPCUPairing
echo.
:: RPCUPairing.exe -h


set path_ogr="C:\Program Files\QGIS 3.26.0\bin"

set data=data
set pairing_in=%data%\pairing_in
set pairing_out=%data%\pairing_out
set pairing_vecteurs=%data%\pairing_vecteurs

set par_vect_poly=vecteurs_parcelle
set feu_vect_poly=vecteurs_feuille


set par_jointure=IDU
set feu_jointure=IDU
set alig=10
set diff=25
set size=0.05


set proj=CC46


set feu_in=feuille_in.shp
set par_in=parcelle_in.shp


set feu_out=feuille_out.shp
set par_out=parcelle_out.shp


echo %time%
echo.

.\RPCUPairing.exe ^
  --i %pairing_in%\%feu_in% ^
  --o %pairing_out%\%feu_out% ^
  --r %pairing_vecteurs%\%feu_vect_poly% ^
  --a %feu_jointure% ^
  --b %feu_jointure% ^
  --w y ^
  --proj %proj% ^
  --alig %alig% ^
  --diff %diff% ^
  --size %size%

echo.
echo %time% 
  

set diff=10


.\RPCUPairing.exe ^
  --i %pairing_in%\%par_in% ^
  --o %pairing_out%\%par_out% ^
  --r %pairing_vecteurs%\%par_vect_poly% ^
  --a %par_jointure% ^
  --b %par_jointure% ^
  --w y ^
  --proj %proj% ^
  --alig %alig% ^
  --diff %diff% ^
  --size %size%
 echo.
echo %time% 


%path_ogr%\ogr2ogr.exe -overwrite -f GPKG %pairing_vecteurs%\%par_vect_poly%_vec.gpkg %pairing_vecteurs%\%par_vect_poly%_vec.mif
%path_ogr%\ogr2ogr.exe -overwrite -f GPKG %pairing_vecteurs%\%feu_vect_poly%_vec.gpkg %pairing_vecteurs%\%feu_vect_poly%_vec.mif
%path_ogr%\ogr2ogr.exe -overwrite -f GPKG %pairing_vecteurs%\%par_vect_poly%_poly.gpkg %pairing_vecteurs%\%par_vect_poly%_poly.mif
%path_ogr%\ogr2ogr.exe -overwrite -f GPKG %pairing_vecteurs%\%feu_vect_poly%_poly.gpkg %pairing_vecteurs%\%feu_vect_poly%_poly.mif
echo %time%



set mover_in=%data%\mover_in
set mover_out=%data%\mover_out

set par_poly=%par_vect_poly%_poly
set feu_poly=%feu_vect_poly%_poly



:: RPCUMover.exe -h



set userdata=point
echo %time%
.\RPCUMover.exe ^
 --p %pairing_vecteurs%\%par_poly%.mif ^
 --f %pairing_vecteurs%\%feu_poly%.mif ^
 --i %mover_in%\%userdata%.shp ^
 --o %mover_out% ^
 --proj %proj%
rename "%mover_out%\RCPUMover_log.csv" "%userdata%_log.csv"
echo %time% 
%path_ogr%\ogr2ogr.exe -overwrite -f GPKG %mover_out%\%userdata%.gpkg %mover_out%\%userdata%.mif


set userdata=lineaire_1
echo %time%
.\RPCUMover.exe ^
 --p %pairing_vecteurs%\%par_poly%.mif ^
 --f %pairing_vecteurs%\%feu_poly%.mif ^
 --i %mover_in%\%userdata%.shp ^
 --o %mover_out% ^
 --proj %proj%
rename "%mover_out%\RCPUMover_log.csv" "%userdata%_log.csv"
echo %time% 
%path_ogr%\ogr2ogr.exe -overwrite -f GPKG %mover_out%\%userdata%.gpkg %mover_out%\%userdata%.mif


set userdata=lineaire_2
echo %time%
.\RPCUMover.exe ^
 --p %pairing_vecteurs%\%par_poly%.mif ^
 --f %pairing_vecteurs%\%feu_poly%.mif ^
 --i %mover_in%\%userdata%.shp ^
 --o %mover_out% ^
 --proj %proj%
rename "%mover_out%\RCPUMover_log.csv" "%userdata%_log.csv"
echo %time% 
%path_ogr%\ogr2ogr.exe -overwrite -f GPKG %mover_out%\%userdata%.gpkg %mover_out%\%userdata%.mif


set userdata=surface
echo %time%
.\RPCUMover.exe ^
 --p %pairing_vecteurs%\%par_poly%.mif ^
 --f %pairing_vecteurs%\%feu_poly%.mif ^
 --i %mover_in%\%userdata%.shp ^
 --o %mover_out% ^
 --proj %proj%
rename "%mover_out%\RCPUMover_log.csv" "%userdata%_log.csv"
echo %time% 
%path_ogr%\ogr2ogr.exe -overwrite -f GPKG %mover_out%\%userdata%.gpkg %mover_out%\%userdata%.mif





echo fin traitement

